org.eclipse.oomph.targlets.core

## Class ITargletContainerDescriptor.UpdateProblem

- java.lang.Object
- - org.eclipse.oomph.targlets.core.ITargletContainerDescriptor.UpdateProblem

- All Implemented Interfaces:
    Serializable, IStatus
  Direct Known Subclasses:
    ITargletContainerDescriptor.UpdateProblem.MissingIU
  Enclosing interface:
    ITargletContainerDescriptor

      public static class ITargletContainerDescriptor.UpdateProblem
      extends Object
      implements Serializable, IStatus

  Author:
    Eike Stepper
  See Also:
    Serialized Form

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `ITargletContainerDescriptor.UpdateProblem.MissingIU`

  - ### Field Summary

    - ### Fields inherited from interface org.eclipse.core.runtime.IStatus

      `CANCEL, ERROR, INFO, OK, WARNING`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `` | `ITargletContainerDescriptor.UpdateProblem()`
    `protected` | `ITargletContainerDescriptor.UpdateProblem(IStatus status)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ITargletContainerDescriptor.UpdateProblem` | `create(IStatus status)`
    `static ITargletContainerDescriptor.UpdateProblem` | `create(Throwable t)`
    `ITargletContainerDescriptor.UpdateProblem[]` | `getChildren()`
    `int` | `getCode()`
    `Throwable` | `getException()`
    `String` | `getMessage()`
    `String` | `getPlugin()`
    `int` | `getSeverity()`
    `boolean` | `isMultiStatus()`
    `boolean` | `isOK()`
    `boolean` | `matches(int severityMask)`
    `IStatus` | `toStatus()`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ITargletContainerDescriptor.UpdateProblem

          public ITargletContainerDescriptor.UpdateProblem()

    - #### ITargletContainerDescriptor.UpdateProblem

          protected ITargletContainerDescriptor.UpdateProblem(IStatus status)

  - ### Method Detail

    - #### create

          public static ITargletContainerDescriptor.UpdateProblem create(Throwable t)

    - #### create

          public static ITargletContainerDescriptor.UpdateProblem create(IStatus status)

    - #### getPlugin

          public String getPlugin()

      Specified by:
        `getPlugin` in interface `IStatus`

    - #### getMessage

          public String getMessage()

      Specified by:
        `getMessage` in interface `IStatus`

    - #### getSeverity

          public int getSeverity()

      Specified by:
        `getSeverity` in interface `IStatus`

    - #### getCode

          public int getCode()

      Specified by:
        `getCode` in interface `IStatus`

    - #### getException

          public Throwable getException()

      Specified by:
        `getException` in interface `IStatus`

    - #### getChildren

          public ITargletContainerDescriptor.UpdateProblem[] getChildren()

      Specified by:
        `getChildren` in interface `IStatus`

    - #### isMultiStatus

          public boolean isMultiStatus()

      Specified by:
        `isMultiStatus` in interface `IStatus`

    - #### isOK

          public boolean isOK()

      Specified by:
        `isOK` in interface `IStatus`

    - #### matches

          public boolean matches(int severityMask)

      Specified by:
        `matches` in interface `IStatus`

    - #### toStatus

          public IStatus toStatus()

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright (c) 2014 Eike Stepper (Berlin, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html